<template>
<div>
  <el-row :gutter="20">
    <el-col :span="6">
      <el-form-item v-bind:error="tagValue[2].s1" :required="pattern.status=='M' || tagValue[1]?true:false">
        <el-date-picker size="small" v-model="tagValue[0].s1" format="yyMMdd" value-format="yyMMdd" style="width: 100%" @change="handleChange" :disabled="pattern.tagFlag && pattern.tagFlag.indexOf('s1') !== -1"></el-date-picker>
      </el-form-item>
    </el-col>
    <el-col :span="18">
      <el-form-item v-bind:error="tagValue[2].s2" :required="pattern.status=='M' || tagValue[1]?true:false">
        <c-input size="small" v-model="tagValue[0].s2" placeholder="Narrative" :maxlength="29" @blur="handleChange" style="width: 100%" :disabled="pattern.tagFlag && pattern.tagFlag.indexOf('s2') !== -1"></c-input>
      </el-form-item>
    </el-col>
  </el-row>
</div>
</template>
<script>
export default {
  props: {
    tag: {
      type: String,
      default: ''
    },
    pattern: {
      type: Object,
      default: () => {}
    }
  },
  data: function () {
    return {
      tagValue: [{
        s1: '',
        s2: '',
      },
      '',
      {
        s1: '',
        s2: '',
      }],
    }
  },
  created: function () {
    if (this.pattern.tagValue == undefined || JSON.stringify(this.pattern.tagValue) == '[{},null]') {
      this.pattern.tagValue = this.tagValue
    } else {
      this.tagValue = this.pattern.tagValue
    }
  },
  methods: {
    handleChange: function () {
      // 触发校验
      let obj = this.pattern.tagValue[0]
      let mval = ''
      let temp = `${obj.s1}`
      if(temp) {
        temp = temp.replace(/\//g,'')
      }
      mval = `${temp}/${obj.s2}`
      this.pattern.tagValue[1] = mval
      this.$emit('validate')
    }
  }
}
</script>